<Manage::Container
  ...attributes
  @title={{capitalize this.title}}
  @breadcrumbs={{this.breadcrumbs}}
  {{did-insert this.setup}}
>
  <:content>
    <Manage::RowAdd @name="name" as |id|>
      <Input::Text
        id={{id}}
        class="form-control form-control-name"
        @value={{@event.name}}
        @onChange={{fn this.changeField "name"}}
        placeholder={{this.namePlaceholder}}
      />
    </Manage::RowAdd>

    <Manage::RowAdd @name="about" as |id|>
      <Article::Editor
        @id={{id}}
        @value={{this.article}}
        @onChange={{this.changeArticle}}
        @onPictureUpload={{this.onPictureUpload}}
        @allowNoHeading={{true}}
        class="article-with-borders"
      />
    </Manage::RowAdd>

    {{#if this.showCalendar}}
      <Manage::RowAdd @name="calendar" as |id|>
        <Input::ParentModel
          @id={{id}}
          @value={{@event.calendar}}
          @teams={{@teams}}
          @onChange={{fn this.changeField "calendar"}}
          @model="calendar"
        />
      </Manage::RowAdd>
    {{/if}}

    {{#if @event.calendar.hasIcons}}
      <Manage::RowAdd @name="icons">
        <Input::Icons::Order @value={{@event.icons}} @onChange={{fn this.changeField "icons"}} class="mb-3"/>

        <h5>{{t "Add more icons:"}}</h5>
        <Input::IconsSelector @iconSets={{this.iconSetModels}} @value={{@event.icons}} @onChange={{fn this.changeField "icons"}} />
      </Manage::RowAdd>
    {{/if}}

    {{#if this.isSchedule}}
      <Manage::RowAdd @name="schedule" as |id|>
        <Input::Schedule @id={{id}} @value={{@event.entries}} @onChange={{fn this.changeField "entries"}} />
      </Manage::RowAdd>
    {{else}}
      <Manage::RowAdd @name="when" as |id|>
        <Input::CalendarEntryList @id={{id}} @value={{@event.entries}} @onChange={{fn this.changeField "entries"}} />
      </Manage::RowAdd>
    {{/if}}

    <Manage::RowAdd @name="cover" as |id|>
      <Input::Picture
        @id={{id}}
        @model="event"
        @modelId={{@event.id}}
        class="mb-3 square-cover"
        @value={{@event.cover}}
        @onChange={{this.changeCover}}
      />
    </Manage::RowAdd>

    <Manage::RowAdd @name="location" as |id|>
      <Input::EventLocation
        @id={{id}}
        @value={{@event.location}}
        @map={{@event.calendar.map.map}}
        @onChange={{fn this.changeField "location"}}
      />
    </Manage::RowAdd>

    {{#if @event.calendar.attributes}}
      <Manage::RowAdd @name="attributes">
        <Attributes::PropertyList @group={{@event.calendar.attributes}} @onChange={{this.changeAttributes}} />
      </Manage::RowAdd>
    {{/if}}

    <Manage::Row @name="add">
      <Input::Button
        type="button"
        class="btn btn-primary btn-submit"
        @action={{this.save}}
        @disabled={{not this.canSubmit}}
        role="button"
      >
        {{capitalize (t "add")}}
      </Input::Button>
    </Manage::Row>
  </:content>
</Manage::Container>